IdeaContentRoot (Gradle API 8.11.1)

Package org.gradle.tooling.model.idea

## Interface IdeaContentRoot

-     public interface IdeaContentRoot

  Contains content root information.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<java.io.File>` | `getExcludeDirectories()` | The set of excluded directories.
    `DomainObjectSet<? extends IdeaSourceDirectory>` | `getResourceDirectories()` | The set of resource directories.
    `java.io.File` | `getRootDirectory()` | The content root directory.
    `DomainObjectSet<? extends IdeaSourceDirectory>` | `getSourceDirectories()` | The set of source directories.
    `DomainObjectSet<? extends IdeaSourceDirectory>` | `getTestDirectories()` | The set of test source directories.
    `DomainObjectSet<? extends IdeaSourceDirectory>` | `getTestResourceDirectories()` | The set of test resource directories.

- - ### Method Detail

    - #### getRootDirectory

          java.io.File getRootDirectory()

      The content root directory.

    - #### getSourceDirectories

          DomainObjectSet<? extends IdeaSourceDirectory> getSourceDirectories()

      The set of source directories.

    - #### getTestDirectories

          DomainObjectSet<? extends IdeaSourceDirectory> getTestDirectories()

      The set of test source directories.

    - #### getResourceDirectories

          DomainObjectSet<? extends IdeaSourceDirectory> getResourceDirectories()
                                                                         throws UnsupportedMethodException

      The set of resource directories. NOTE: The resources directory is only available for Java projects, otherwise it is empty set.
      Throws:
        `UnsupportedMethodException` - For Gradle versions older than 4.7 where this method is not supported.
      Since:
        4.7

    - #### getTestResourceDirectories

          DomainObjectSet<? extends IdeaSourceDirectory> getTestResourceDirectories()
                                                                             throws UnsupportedMethodException

      The set of test resource directories. NOTE: The test resources directory is only available for Java projects, otherwise it is empty set.
      Throws:
        `UnsupportedMethodException` - For Gradle versions older than 4.7 where this method is not supported.
      Since:
        4.7

    - #### getExcludeDirectories

          java.util.Set<java.io.File> getExcludeDirectories()

      The set of excluded directories.